Bug 759964 - [abrt] gnuplot-common-4.4.3-3.fc16: exec_cmd: Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
[abrt] gnuplot-common-4.4.3-3.fc16: exec_cmd: Process /usr/libexec/gnuplot/4....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
abrt_hash:02fd6d73102d6dba4698b15b56b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-04 21:09 EST by collura
Modified: 2012-11-23 02:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:33:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (2.51 KB, text/plain)
2011-12-04 21:09 EST, collura
no flags Details
File: smolt_data (3.00 KB, text/plain)
2011-12-04 21:09 EST, collura
no flags Details
File: maps (11.37 KB, text/plain)
2011-12-04 21:09 EST, collura
no flags Details
File: backtrace (165.92 KB, text/plain)
2011-12-04 21:09 EST, collura
no flags Details

  None (edit)
Description collura 2011-12-04 21:09:24 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        gnuplot_x11 -persist -geometry 550x424+300+20
crash_function: exec_cmd
executable:     /usr/libexec/gnuplot/4.4/gnuplot_x11
kernel:         3.1.4-1.fc16.x86_64
pid:            17058
reason:         Process /usr/libexec/gnuplot/4.4/gnuplot_x11 was killed by signal 11 (SIGSEGV)
time:           Sun 04 Dec 2011 08:44:18 PM EST

backtrace:      Text file, 169899 bytes
dso_list:       Text file, 2567 bytes
maps:           Text file, 11644 bytes
smolt_data:     Text file, 3069 bytes

comment:
:in the nightfall star viewer on first run after installation:
:without loading a data file, 
:had selected output-view_geometry,
:and it generated the gnuplot error

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=f732c5a74ea4de94aacf187d00000010-1323037605.818964-1557572615
:GNOME_KEYRING_CONTROL=/tmp/keyring-kSbMpV
:IMSETTINGS_MODULE=none
:USER=ethan
:USERNAME=ethan
:MAIL=/var/spool/mail/<removed>
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/<removed>/.local/bin:/home/<removed>/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/<removed>
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2613
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ethan
:XDG_SEAT=seat0
:SHLVL=1
:GDL_PATH=+/usr/share/gnudatalanguage
:LOGNAME=<removed>
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-J2eCDgFyE5,guid=630c9c93ba9958e246b255aa00000295
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/<removed>
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-<removed>/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2617,unix/unix:/tmp/.ICE-unix/2617
:GPG_AGENT_INFO=/tmp/keyring-<removed>/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-<removed>/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-nightfall.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17047
:LC_NUMERIC=C

var_log_messages:
:Dec  4 20:44:18 localhostb kernel: [12514.334507] gnuplot_x11[17058]: segfault at 0 ip 00000000004084ca sp 00007fff24b94a80 error 4 in gnuplot_x11[400000+16000]
:Dec  4 20:44:18 localhostb abrt[17059]: Saved core dump of pid 17058 (/usr/libexec/gnuplot/4.4/gnuplot_x11) to /var/spool/abrt/ccpp-2011-12-04-20:44:18-17058 (2019328 bytes)
Comment 1 collura 2011-12-04 21:09:27 EST
Created attachment 540578 [details]
File: dso_list
Comment 2 collura 2011-12-04 21:09:28 EST
Created attachment 540579 [details]
File: smolt_data
Comment 3 collura 2011-12-04 21:09:30 EST
Created attachment 540580 [details]
File: maps
Comment 4 collura 2011-12-04 21:09:33 EST
Created attachment 540581 [details]
File: backtrace
Comment 5 collura 2011-12-04 21:13:38 EST
program that called gnuplot was 

   nightfall-1.62-9.fc15
Comment 6 Fedora Admin XMLRPC Client 2012-10-09 09:51:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Peter Schiffer 2012-11-06 10:38:44 EST
fixed in rawhide:
gnuplot-4.6.1-1.fc19
http://koji.fedoraproject.org/koji/buildinfo?buildID=361832
Comment 8 Fedora Update System 2012-11-06 11:30:19 EST
gnuplot-4.4.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnuplot-4.4.4-4.fc17
Comment 9 Fedora Update System 2012-11-06 12:17:54 EST
gnuplot-4.4.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnuplot-4.4.3-4.fc16
Comment 10 Fedora Update System 2012-11-07 20:52:58 EST
Package gnuplot-4.4.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuplot-4.4.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17757/gnuplot-4.4.3-4.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-11-14 09:58:27 EST
gnuplot-4.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnuplot-4.6.1-1.fc18
Comment 12 Fedora Update System 2012-11-16 02:33:51 EST
gnuplot-4.4.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-11-16 02:35:39 EST
gnuplot-4.4.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-23 02:21:36 EST
gnuplot-4.6.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.